GNU bug report logs - #33436
[PATCH] gnu: Add python-warcio.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: swedebugia <swedebugia@HIDDEN>; Keywords: moreinfo patch; dated Mon, 19 Nov 2018 20:43:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added tag(s) moreinfo. Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 33436 <at> debbugs.gnu.org:


Received: (at 33436) by debbugs.gnu.org; 4 Mar 2019 13:43:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 04 08:43:37 2019
Received: from localhost ([127.0.0.1]:59236 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h0nsX-0003cd-Gs
	for submit <at> debbugs.gnu.org; Mon, 04 Mar 2019 08:43:37 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:36910)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1h0nsV-0003cV-Vf
 for 33436 <at> debbugs.gnu.org; Mon, 04 Mar 2019 08:43:36 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 49A479C22;
 Mon,  4 Mar 2019 14:43:35 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id C_50nqswoTr1; Mon,  4 Mar 2019 14:43:34 +0100 (CET)
Received: from ribbon (unknown [IPv6:2001:660:6102:320:e120:2c8f:8909:cdfe])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 2E7799C1F;
 Mon,  4 Mar 2019 14:43:34 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: swedebugia <swedebugia@HIDDEN>
Subject: Re: [bug#33436] [PATCH] gnu: Add python-warcio.
References: <4f8816d0-8b47-7299-f31b-a2fa0f592d2d@HIDDEN>
 <87in0qu3xp.fsf@HIDDEN> <87zhs78un9.fsf@HIDDEN>
 <ae61574a-f769-a78f-71ac-48a57477ba0e@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 14 =?utf-8?Q?Vent=C3=B4se?= an 227 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 04 Mar 2019 14:43:33 +0100
In-Reply-To: <ae61574a-f769-a78f-71ac-48a57477ba0e@HIDDEN> (swedebugia's
 message of "Sun, 24 Feb 2019 03:01:29 +0100")
Message-ID: <878sxusqka.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 33436
Cc: "33436 <at> debbugs.gnu.org" <33436 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello swedebugia,

swedebugia <swedebugia@HIDDEN> skribis:

> On 2019-01-11 09:29, Ludovic Court=C3=A8s wrote:

[...]

>>>> +   (arguments
>>>> +    ;; FIXME: Some tests require network access. 150 out of 1354 fail
>>>> +    '(#:tests? #f))
>>>
>>> Could you investigate a bit further?  What do the test logs show?

[...]

> Here comes the log from the build.
>
> I see a lot of "OSError: [Errno 9] Bad file descriptor" and a few
> "FileNotFoundError"
>
> Should I report upstream?

Yes, please.  Perhaps you need to investigate a little bit beforehand
(see <https://gnu.org/s/guix/manual/en/html_node/Debugging-Build-Failures.h=
tml>)
so you can provide them with just the information they need to reproduce
and understand the problem.

Thanks!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#33436; Package guix-patches. Full text available.

Message received at 33436 <at> debbugs.gnu.org:


Received: (at 33436) by debbugs.gnu.org; 24 Feb 2019 07:19:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 24 02:19:09 2019
Received: from localhost ([127.0.0.1]:49776 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gxo45-0005Hh-Ja
	for submit <at> debbugs.gnu.org; Sun, 24 Feb 2019 02:19:09 -0500
Received: from mx1.riseup.net ([198.252.153.129]:40012)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gxo43-0005HZ-VF
 for 33436 <at> debbugs.gnu.org; Sun, 24 Feb 2019 02:19:08 -0500
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id A344F1A1973;
 Sat, 23 Feb 2019 23:19:06 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1550992747; bh=93C86QxI1Q0QbIaeqLO1RPJe6KHFCdUBWulRRmau54U=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=tTTwKLAswkTgzj/mHbO3Rx/kvVdZLMvuKW/OHEaRrFq2wxyLtnTWmJTss6eq0hDRo
 AbWg0D4KA8TPHT/alOqMQ5Tdn3OtMiUxR7TBKpEOv3j/oHladxo/A3KswUxixCMHLZ
 U54j4teo9iIS2VAvXWNR+MOkAbSvz7NTu94F3DwI=
X-Riseup-User-ID: C6D940274DC4A71EE9DAF109C314F596D749A0744DADBF83842A8510508D01F9
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id 7BC141200FB;
 Sat, 23 Feb 2019 23:19:05 -0800 (PST)
Subject: Re: [bug#33436] [PATCH] gnu: Add python-warcio.
To: =?UTF-8?Q?Ludovic_Court=c3=a8s?= <ludo@HIDDEN>
References: <4f8816d0-8b47-7299-f31b-a2fa0f592d2d@HIDDEN>
 <87in0qu3xp.fsf@HIDDEN> <87zhs78un9.fsf@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <ae61574a-f769-a78f-71ac-48a57477ba0e@HIDDEN>
Date: Sun, 24 Feb 2019 03:01:29 +0100
MIME-Version: 1.0
In-Reply-To: <87zhs78un9.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="t9YdgtaT8hnTVsUeqBTrCGWqAWrajryj1"
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 33436
Cc: "33436 <at> debbugs.gnu.org" <33436 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--t9YdgtaT8hnTVsUeqBTrCGWqAWrajryj1
Content-Type: multipart/mixed; boundary="xacXHzfxKEVsFmuk8WCjTlyiUYQruTkBG";
 protected-headers="v1"
From: swedebugia <swedebugia@HIDDEN>
To: =?UTF-8?Q?Ludovic_Court=c3=a8s?= <ludo@HIDDEN>
Cc: "33436 <at> debbugs.gnu.org" <33436 <at> debbugs.gnu.org>
Message-ID: <ae61574a-f769-a78f-71ac-48a57477ba0e@HIDDEN>
Subject: Re: [bug#33436] [PATCH] gnu: Add python-warcio.
References: <4f8816d0-8b47-7299-f31b-a2fa0f592d2d@HIDDEN>
 <87in0qu3xp.fsf@HIDDEN> <87zhs78un9.fsf@HIDDEN>
In-Reply-To: <87zhs78un9.fsf@HIDDEN>

--xacXHzfxKEVsFmuk8WCjTlyiUYQruTkBG
Content-Type: multipart/mixed;
 boundary="------------EFFB2540947DBB744CDD60F6"
Content-Language: en-US

This is a multi-part message in MIME format.
--------------EFFB2540947DBB744CDD60F6
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 2019-01-11 09:29, Ludovic Court=C3=A8s wrote:
> Ping!
>=20
> ludo@HIDDEN (Ludovic Court=C3=A8s) skribis:
>=20
>> Hello!
>>
>> swedebugia <swedebugia@HIDDEN> skribis:
>>
>>>> >From 537b2b111a464956bdec640ea5f84c4598ea66f9 Mon Sep 17 00:00:00 2=
001
>>> From: swedebugia <swedebugia@HIDDEN>
>>> Date: Mon, 19 Nov 2018 21:37:46 +0100
>>> Subject: [PATCH] gnu: Add python-warcio.
>>>
>>> * gnu/packages/python.scm: New variable.
>>                            ^
>> Nitpick: You forgot the variable name here.  :-)
>>
>>> +   (arguments
>>> +    ;; FIXME: Some tests require network access. 150 out of 1354 fai=
l
>>> +    '(#:tests? #f))
>>
>> Could you investigate a bit further?  What do the test logs show?
>>
>> It would be good to see if these tests can be easily fixed, if they
>> should definitely be skipped (for instance because they rely on some
>> external service), or if it=E2=80=99s something else.
>>
>>> +   (home-page "https://github.com/webrecorder/warcio")
>>> +   (synopsis "Streaming web archival archive (WARC) library")
>>> +   (description
>>> +    "warcio is designed for fast, low-level access to web archival
>>                  ^^
>> What about: =E2=80=9Cwarcio is a Python library to read and write the =
WARC format
>> commonly used in Web archives.  It is designed for=E2=80=A6=E2=80=9D?
>>
>> Thank you,
>> Ludo=E2=80=99.
Here comes the log from the build.

I see a lot of "OSError: [Errno 9] Bad file descriptor" and a few
"FileNotFoundError"

Should I report upstream?

--=20
Cheers Swedebugia

--------------EFFB2540947DBB744CDD60F6
Content-Type: application/x-bzip;
 name="gwkz0zj2bqbw83nhh1ba1iq7lndryg-python-warcio-1.6.3.drv.bz2"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename*0="gwkz0zj2bqbw83nhh1ba1iq7lndryg-python-warcio-1.6.3.drv.bz2"
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--------------EFFB2540947DBB744CDD60F6--

--xacXHzfxKEVsFmuk8WCjTlyiUYQruTkBG--

--t9YdgtaT8hnTVsUeqBTrCGWqAWrajryj1
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYIAB0WIQR6IWNlOiLn9hD6a1XPzUNbKAts0gUCXHH6+QAKCRDPzUNbKAts
0s9SAQCKjbMC87+63UOY7C31GdzneOXtdMv0Oh/e1MA6PJJp1AEA1RwvPDDuYYBt
Q8YNygNoPfFsU+bElN/zQR3fKIwyzwA=
=HTet
-----END PGP SIGNATURE-----

--t9YdgtaT8hnTVsUeqBTrCGWqAWrajryj1--




Information forwarded to guix-patches@HIDDEN:
bug#33436; Package guix-patches. Full text available.

Message received at 33436 <at> debbugs.gnu.org:


Received: (at 33436) by debbugs.gnu.org; 11 Jan 2019 08:29:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 11 03:29:19 2019
Received: from localhost ([127.0.0.1]:54471 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ghsBr-0004s0-8B
	for submit <at> debbugs.gnu.org; Fri, 11 Jan 2019 03:29:19 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:33758)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1ghsBp-0004ro-Ar
 for 33436 <at> debbugs.gnu.org; Fri, 11 Jan 2019 03:29:17 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id F3E3B1730;
 Fri, 11 Jan 2019 09:29:15 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 5hPAKZVvnYO0; Fri, 11 Jan 2019 09:29:15 +0100 (CET)
Received: from ribbon (unknown [IPv6:2001:660:6102:320:e120:2c8f:8909:cdfe])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 006FACEB;
 Fri, 11 Jan 2019 09:29:14 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: swedebugia <swedebugia@HIDDEN>
Subject: Re: [bug#33436] [PATCH] gnu: Add python-warcio.
References: <4f8816d0-8b47-7299-f31b-a2fa0f592d2d@HIDDEN>
 <87in0qu3xp.fsf@HIDDEN>
Date: Fri, 11 Jan 2019 09:29:14 +0100
In-Reply-To: <87in0qu3xp.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Wed, 21 Nov 2018 11:21:06 +0100")
Message-ID: <87zhs78un9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 33436
Cc: 33436 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Ping!

ludo@HIDDEN (Ludovic Court=C3=A8s) skribis:

> Hello!
>
> swedebugia <swedebugia@HIDDEN> skribis:
>
>>>>From 537b2b111a464956bdec640ea5f84c4598ea66f9 Mon Sep 17 00:00:00 2001
>> From: swedebugia <swedebugia@HIDDEN>
>> Date: Mon, 19 Nov 2018 21:37:46 +0100
>> Subject: [PATCH] gnu: Add python-warcio.
>>
>> * gnu/packages/python.scm: New variable.
>                            ^
> Nitpick: You forgot the variable name here.  :-)
>
>> +   (arguments
>> +    ;; FIXME: Some tests require network access. 150 out of 1354 fail
>> +    '(#:tests? #f))
>
> Could you investigate a bit further?  What do the test logs show?
>
> It would be good to see if these tests can be easily fixed, if they
> should definitely be skipped (for instance because they rely on some
> external service), or if it=E2=80=99s something else.
>
>> +   (home-page "https://github.com/webrecorder/warcio")
>> +   (synopsis "Streaming web archival archive (WARC) library")
>> +   (description
>> +    "warcio is designed for fast, low-level access to web archival
>                  ^^
> What about: =E2=80=9Cwarcio is a Python library to read and write the WAR=
C format
> commonly used in Web archives.  It is designed for=E2=80=A6=E2=80=9D?
>
> Thank you,
> Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#33436; Package guix-patches. Full text available.

Message received at 33436 <at> debbugs.gnu.org:


Received: (at 33436) by debbugs.gnu.org; 21 Nov 2018 10:21:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 21 05:21:16 2018
Received: from localhost ([127.0.0.1]:37813 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gPPdE-0006uH-25
	for submit <at> debbugs.gnu.org; Wed, 21 Nov 2018 05:21:16 -0500
Received: from eggs.gnu.org ([208.118.235.92]:46549)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gPPdC-0006u4-OE
 for 33436 <at> debbugs.gnu.org; Wed, 21 Nov 2018 05:21:15 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gPPd6-0006bE-Me
 for 33436 <at> debbugs.gnu.org; Wed, 21 Nov 2018 05:21:09 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:43830)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gPPd6-0006b2-Io; Wed, 21 Nov 2018 05:21:08 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=59456 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gPPd6-0004T2-9u; Wed, 21 Nov 2018 05:21:08 -0500
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: swedebugia <swedebugia@HIDDEN>
Subject: Re: [bug#33436] [PATCH] gnu: Add python-warcio.
References: <4f8816d0-8b47-7299-f31b-a2fa0f592d2d@HIDDEN>
Date: Wed, 21 Nov 2018 11:21:06 +0100
In-Reply-To: <4f8816d0-8b47-7299-f31b-a2fa0f592d2d@HIDDEN> (swedebugia's
 message of "Mon, 19 Nov 2018 21:41:46 +0100")
Message-ID: <87in0qu3xp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33436
Cc: 33436 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello!

swedebugia <swedebugia@HIDDEN> skribis:

>>From 537b2b111a464956bdec640ea5f84c4598ea66f9 Mon Sep 17 00:00:00 2001
> From: swedebugia <swedebugia@HIDDEN>
> Date: Mon, 19 Nov 2018 21:37:46 +0100
> Subject: [PATCH] gnu: Add python-warcio.
>
> * gnu/packages/python.scm: New variable.
                           ^
Nitpick: You forgot the variable name here.  :-)

> +   (arguments
> +    ;; FIXME: Some tests require network access. 150 out of 1354 fail
> +    '(#:tests? #f))

Could you investigate a bit further?  What do the test logs show?

It would be good to see if these tests can be easily fixed, if they
should definitely be skipped (for instance because they rely on some
external service), or if it=E2=80=99s something else.

> +   (home-page "https://github.com/webrecorder/warcio")
> +   (synopsis "Streaming web archival archive (WARC) library")
> +   (description
> +    "warcio is designed for fast, low-level access to web archival
                 ^^
What about: =E2=80=9Cwarcio is a Python library to read and write the WARC =
format
commonly used in Web archives.  It is designed for=E2=80=A6=E2=80=9D?

Thank you,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#33436; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Nov 2018 20:42:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 19 15:42:04 2018
Received: from localhost ([127.0.0.1]:33056 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gOqMt-0005lF-Ov
	for submit <at> debbugs.gnu.org; Mon, 19 Nov 2018 15:42:03 -0500
Received: from eggs.gnu.org ([208.118.235.92]:39680)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gOqMs-0005ki-1g
 for submit <at> debbugs.gnu.org; Mon, 19 Nov 2018 15:42:02 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gOqMm-00087o-31
 for submit <at> debbugs.gnu.org; Mon, 19 Nov 2018 15:41:56 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:58698)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gOqMl-00087e-Vr
 for submit <at> debbugs.gnu.org; Mon, 19 Nov 2018 15:41:56 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:49281)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gOqMk-0001c3-W0
 for guix-patches@HIDDEN; Mon, 19 Nov 2018 15:41:55 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gOqMh-000855-Ri
 for guix-patches@HIDDEN; Mon, 19 Nov 2018 15:41:54 -0500
Received: from mx1.riseup.net ([198.252.153.129]:34562)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gOqMh-00084i-G5
 for guix-patches@HIDDEN; Mon, 19 Nov 2018 15:41:51 -0500
Received: from cotinga.riseup.net (cotinga-pn.riseup.net [10.0.1.164])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 84FAC1A0A9D
 for <guix-patches@HIDDEN>; Mon, 19 Nov 2018 12:41:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1542660110; bh=mZh79GYD/3/lfSMKn/XFnLLMF9hn4CzFLt9WI85Stag=;
 h=To:From:Subject:Date:From;
 b=bciiW6DZ4MXM6lLDTAg6mwLq18IkVPzey8CD9sv9lzYsK6RmtxFqxhhNvsDrUTipy
 9qdKMqoArlAKl0cisAtfIkCk0xzlwXiYhpGL2VeTM8zdh5ZuGFqXaJ8dPNR50+o6xa
 BHTFPeAX7dq46169IFH7mJ+j3g1y1pdJq0rl/M3U=
X-Riseup-User-ID: 2670AEC4F0159B6B82B67BBFC8029DBDE0AD7EF4D440B27CA189A37F33506850
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by cotinga.riseup.net with ESMTPSA id D7CD2104682
 for <guix-patches@HIDDEN>; Mon, 19 Nov 2018 12:41:49 -0800 (PST)
To: guix-patches@HIDDEN
From: swedebugia <swedebugia@HIDDEN>
Subject: [PATCH] gnu: Add python-warcio.
Message-ID: <4f8816d0-8b47-7299-f31b-a2fa0f592d2d@HIDDEN>
Date: Mon, 19 Nov 2018 21:41:46 +0100
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------F8676B632167A597D97B6A34"
Content-Language: en-US
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

This is a multi-part message in MIME format.
--------------F8676B632167A597D97B6A34
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit


-- 
Cheers
Swedebugia

--------------F8676B632167A597D97B6A34
Content-Type: text/x-patch;
 name="0001-gnu-Add-python-warcio.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="0001-gnu-Add-python-warcio.patch"

From 537b2b111a464956bdec640ea5f84c4598ea66f9 Mon Sep 17 00:00:00 2001
From: swedebugia <swedebugia@HIDDEN>
Date: Mon, 19 Nov 2018 21:37:46 +0100
Subject: [PATCH] gnu: Add python-warcio.

* gnu/packages/python.scm: New variable.
---
 gnu/packages/python.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index 2b7482a3e..24e8c409f 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -14630,3 +14630,29 @@ on regular expressions.")
      "This module implements the PRECIS Framework as described in RFC 8264,
 RFC 8265 and RFC 8266.")
     (license license:expat)))
+
+(define-public python-warcio
+  (package
+   (name "python-warcio")
+   (version "1.6.3")
+   (source
+    (origin
+      (method url-fetch)
+      (uri (pypi-uri "warcio" version))
+      (sha256
+       (base32
+        "1nyhghbag1chh5fml848x799mwgkgmz3l3ipv7lr6p0lj1jq8i1r"))))
+   (build-system python-build-system)
+   (inputs `(("python-six" ,python-six)
+             ("python-requests" ,python-requests)
+             ("python-httpbin" ,python-httpbin)
+             ("python-pytest-cov" ,python-pytest-cov)))
+   (arguments
+    ;; FIXME: Some tests require network access. 150 out of 1354 fail
+    '(#:tests? #f))
+   (home-page "https://github.com/webrecorder/warcio")
+   (synopsis "Streaming web archival archive (WARC) library")
+   (description
+    "warcio is designed for fast, low-level access to web archival
+content, oriented around a stream of WARC records rather than files.")
+   (license license:asl2.0)))
-- 
2.18.0


--------------F8676B632167A597D97B6A34--




Acknowledgement sent to swedebugia <swedebugia@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#33436; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 3 Mar 2021 13:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.